← OBPv7.0.0 Delete authority by id DELETE /obp/v7.0.0/banks/ogcr/dynamic-entities/authority/AUTHORITY_ID OBPv7.0.0-dynamicEntity_deleteauthority_ogcr Roles: CanDeleteDynamicEntityRecord_authority(per bank) _Authority(ogcr)Dynamic-EntityDynamic Delete authority by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"authority" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "authority_id": "auth_01HZZ4K7Q2M", "legal_name": "Deutsche Akkreditierungsstelle GmbH", "authority_type": "national_accreditation_body", "country_id": "DE", "department": "DG CLIMA", "email": "registry@example.eu", "website": "https://example.eu" } Example success response { "bank_id": "ogcr", "authority": { "authority_id": "auth_01HZZ4K7Q2M", "legal_name": "Deutsche Akkreditierungsstelle GmbH", "authority_type": "national_accreditation_body", "country_id": "DE", "department": "DG CLIMA", "email": "registry@example.eu", "website": "https://example.eu" }, "metadata": { "created": { "at": "2026-09-30T10:12:00Z", "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" }, "updated": { "at": "2026-09-30T11:40:00Z", "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" } } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.